#### D.4.18.3 gcdMon

Procedure from library `monomialideal.lib` (see monomialideal_lib).

Usage:
  gcdMon (f,g); f,g polynomials.

Return:
  a monomial, the greatest common divisor of f and g.

Assume:
  f and g are monomials of the basering.

Example:

    LIB "monomialideal.lib";
    ring R = 0,(x,y,z,t),dp;
    poly f = x^3*z^5*t^2;
    poly g = y^6*z^3*t^3;
    gcdMon(f,g);
    ==> z3t2

User manual for Singular version 4.4.1, 2025, generated by texi2html.